{% extends "layout.html" %}
{% block content %}
<div class="content-secion">
        <form method="POST" action="">
            {{ form.hidden_tag() }}
            <fieldset class="form-group">
                <legend class="border-bootom mb-4">{{ title }}</legend>
                <div class="form-group">
                        {{ form.title.label(class="form-control-label") }}
                        {% if form.title.errors %}
                        {{ form.title(class="form-control form-control-lg is-invalid") }}
                        <div class="invalid-feedback">
                            {% for error in form.title.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.title(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                        {{ form.details.label(class="form-control-label") }}
                        {% if form.details.errors %}
                        {{ form.details(class="form-control form-control-lg is-invalid") }}
                        <div class="invalid-feedback">
                            {% for error in form.details.errors %}
                                <span>{{ error }}</span>
                            {% endfor %}
                        </div>
                    {% else %}
                        {{ form.details(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.price.label(class="form-control-label") }}
                    {% if form.price.errors %}
                    {{ form.price(class="form-control form-control-lg is-invalid") }}
                    <div class="invalid-feedback">
                        {% for error in form.price.errors %}
                            <span>{{ error }}</span>
                        {% endfor %}
                    </div>
                    {% else %}
                        {{ form.price(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.contact.label(class="form-control-label") }}
                    {% if form.contact.errors %}
                    {{ form.contact(class="form-control form-control-lg is-invalid") }}
                    <div class="invalid-feedback">
                        {% for error in form.contact.errors %}
                            <span>{{ error }}</span>
                        {% endfor %}
                    </div>
                    {% else %}
                        {{ form.contact(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.address.label(class="form-control-label") }}
                    {% if form.address.errors %}
                    {{ form.address(class="form-control form-control-lg is-invalid") }}
                    <div class="invalid-feedback">
                        {% for error in form.address.errors %}
                            <span>{{ error }}</span>
                        {% endfor %}
                    </div>
                    {% else %}
                        {{ form.address(class="form-control form-control-lg") }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.pg_picture.label() }}
                    {{ form.pg_picture(class="form-control-file") }}
                    {% if form.pg_picture.errors %}
                        {% for error in form .pg_picture.errors %}
                            <span class="text-danger">{{ error }}</span><br>
                        {% endfor %}
                    {%endif%}
            </div>
            </fieldset>
            <div class="form-group">
                {{ form.submit(class="btn btn-outline-info") }}
            </div>
        </form>
    </div>
{% endblock %}
